{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "key": {
    "#": {
      "item": "minecraft:diorite"
    },
    "C": {
      "item": "minecraft:cobblestone"
    },
    "G": {
      "item": "minecraft:granite"
    }
  },
  "pattern": [
    "#G",
    "GC"
  ],
  "result": {
    "count": 4,
    "item": "new_soviet:nii_floor"
  },
  "show_notification": true
}